Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » Eclipse 3.6, big Groovy and Classpath trouble
Eclipse 3.6, big Groovy and Classpath trouble [message #627967] Thu, 23 September 2010 03:59
Maurice Okunek is currently offline Maurice Okunek
Messages: 7
Registered: August 2010
Junior Member
This one is really driving me mad:

We are developing our own product which is based on Eclipse. Of course we write our own Plugins, and in the final product the current Groovy plugins are embedded, so that the user can use and compile Groovy classes with our product.

Everything was fine with Eclipse 3.5. But with the migration to 3.6 we are running into the following error:

The Groovy compiler can not find 3rd Party classes anymore, which were successfully found from the plugins dependency trees in 3.5. So all classes which are referenced by dependency could not be found.

As a workaround I have tried to add the missing classes in a custom ClasspathContainer which i have added to our project in our product. That seems to get rid of the errors, but doesn't help at all because I have to add ALL referenced PLUGINS (which comes at .jar files in out product) as library to the ClasspathContainer. That was not needed in 3.5 and could not be the correct way to do that.

I think this hole problem is based on changes of some ClassLoader handling in Eclipse 3.6 or Groovy, don't know. Has anybody some ideas of how I could find the problem? I'm really stucked here.

Please let me know if you need further informations.

Thank you,
Maurice
Previous Topic:Font of editor
Next Topic:Validation implementation to the dialog box
Goto Forum:
  


Current Time: Wed Jul 30 09:11:10 EDT 2014

Powered by FUDForum. Page generated in 0.01942 seconds